# FoundationClasses
TKAdvTools
Expr

# Expr_Array1OfGeneralExpression Class Reference

`#include <Expr_Array1OfGeneralExpression.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Expr_Array1OfGeneralExpression (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Expr_Array1OfGeneralExpression (const Handle(Expr_GeneralExpression)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(Expr_GeneralExpression)&V)
Standard_EXPORT void | Destroy ()
| ~Expr_Array1OfGeneralExpression ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Expr_Array1OfGeneralExpression & | Assign (const Expr_Array1OfGeneralExpression &Other)
const Expr_Array1OfGeneralExpression & | operator= (const Expr_Array1OfGeneralExpression &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(Expr_GeneralExpression)&Value)
const Handle_Expr_GeneralExpression & | Value (const Standard_Integer Index) const
const Handle_Expr_GeneralExpression & | operator() (const Standard_Integer Index) const
Handle_Expr_GeneralExpression & | ChangeValue (const Standard_Integer Index)
Handle_Expr_GeneralExpression & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Expr_Array1OfGeneralExpression (const Expr_Array1OfGeneralExpression &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Expr_Array1OfGeneralExpression::Expr_Array1OfGeneralExpression | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Expr_Array1OfGeneralExpression::Expr_Array1OfGeneralExpression | ( | const Handle(Expr_GeneralExpression)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Expr_Array1OfGeneralExpression::~Expr_Array1OfGeneralExpression | ( |  | ) | `[inline]`

Standard_EXPORT Expr_Array1OfGeneralExpression::Expr_Array1OfGeneralExpression | ( | const Expr_Array1OfGeneralExpression & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Expr_Array1OfGeneralExpression& Expr_Array1OfGeneralExpression::Assign | ( | const Expr_Array1OfGeneralExpression & | Other | ) |

Handle_Expr_GeneralExpression& Expr_Array1OfGeneralExpression::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Expr_Array1OfGeneralExpression::Destroy | ( |  | ) |

Standard_EXPORT void Expr_Array1OfGeneralExpression::Init | ( | const Handle(Expr_GeneralExpression)& | V | ) |

Standard_Boolean Expr_Array1OfGeneralExpression::IsAllocated | ( |  | ) | const

Standard_Integer Expr_Array1OfGeneralExpression::Length | ( |  | ) | const

Standard_Integer Expr_Array1OfGeneralExpression::Lower | ( |  | ) | const

void Expr_Array1OfGeneralExpression::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Expr_Array1OfGeneralExpression::operator new | ( | size_t | size | ) | `[inline]`

void* Expr_Array1OfGeneralExpression::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Expr_GeneralExpression& Expr_Array1OfGeneralExpression::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_Expr_GeneralExpression& Expr_Array1OfGeneralExpression::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Expr_Array1OfGeneralExpression& Expr_Array1OfGeneralExpression::operator= | ( | const Expr_Array1OfGeneralExpression & | Other | ) | `[inline]`

void Expr_Array1OfGeneralExpression::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Expr_GeneralExpression)& | Value
| ) |

Standard_Integer Expr_Array1OfGeneralExpression::Upper | ( |  | ) | const

const Handle_Expr_GeneralExpression& Expr_Array1OfGeneralExpression::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Expr_Array1OfGeneralExpression::isAllocated `[private]`

Standard_Integer Expr_Array1OfGeneralExpression::myLowerBound `[private]`

Standard_Address Expr_Array1OfGeneralExpression::myStart `[private]`

Standard_Integer Expr_Array1OfGeneralExpression::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Expr_Array1OfGeneralExpression.hxx